3(EZ_SlideOpenWidget)

NAME
EZ_SlideOpenWidget, EZ_SliderCloseWidget - slide open/close a widget

SYNOPSIS
#include <EZ.h>

void EZ_SlideOpenWidget(EZ_Item *widget, int x, int y, int speed);
void EZ_SlideOpenWidgetRelativeTo(EZ_Widget *widget, EZ_Widget *reference,
                                  int dir, int speed);
void EZ_SlideCloseWidget(EZ_Item *widget, int speed)

ARGUMENTS
fwidget Specifies a widget,

reference Specifies a reference widget,

x, y Specify a location.

dir Specifies a direction. Ored from EZ_NORTH, EZ_EAST, EZ_SOUTH and EZ_WEST.

speed Specifies a sliding speed, pixels per frame.

DESCRIPTION
EZ_SlideOpenWidget, EZ_SliderOpenWidgetRelativeTo slides open the widget window according to the specified attributes.

EZ_SlideCloseWidget close the widget window.

SEE ALSO
EZ_DisplayWidget(3)